[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# Register

Registers components for use in the Lazarus IDE.

## Declaration

Source position: extctrls.pp line 1757

`procedure Register;`

## Description

Registers components for use in the Lazarus IDE.

Adds the following components to the Standard tab:

- TRadioGroup
- TCheckGroup
- TPanel

Adds the following components to the Additional tab:

- TImage
- TShape
- TBevel
- TPaintBox
- TNotebook
- TLabeledEdit
- TSplitter
- TTrayIcon
- TControlBar
- TFlowPanel

Adds the following components to the System tab:

- TTimer
- TIdleTimer

Registers the TPage component as a component with no icon in the component palette.